----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    11:28:58 04/06/2010 
-- Design Name: 
-- Module Name:    MUX2to1_25 - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity MUX2to1_25 is
    Port ( sel : in  STD_LOGIC;
           A : in  STD_LOGIC_VECTOR (24 downto 0);
           B : in  STD_LOGIC_VECTOR (24 downto 0);
           RES : out  STD_LOGIC_VECTOR (24 downto 0));
end MUX2to1_25;

architecture Behavioral of MUX2to1_25 is

signal sel_vec, n_sel_vec, t_res: std_logic_vector(24 downto 0);

begin

sel_vec<=(others=>sel);

n_sel_vec<=(others=>not sel);

t_res<= (n_sel_vec and A) or (sel_vec and B);

RES<=t_res;
 
end Behavioral;

