--------------------------------------------------------------------------------
-- Copyright (c) 1995-2008 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: K.39
--  \   \         Application: netgen
--  /   /         Filename: EAU_mLUT.vhd
-- /___/   /\     Timestamp: Wed Apr 07 15:15:03 2010
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -w -sim -ofmt vhdl C:\EAU\coregen\tmp\_cg\EAU_mLUT.ngc C:\EAU\coregen\tmp\_cg\EAU_mLUT.vhd 
-- Device	: 5vsx95tff1136-2
-- Input file	: C:/EAU/coregen/tmp/_cg/EAU_mLUT.ngc
-- Output file	: C:/EAU/coregen/tmp/_cg/EAU_mLUT.vhd
-- # of Entities	: 1
-- Design Name	: EAU_mLUT
-- Xilinx	: C:\Xilinx\10.1\ISE
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Development System Reference Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------


-- synthesis translate_off
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity EAU_mLUT is
  port (
    clka : in STD_LOGIC := 'X'; 
    addra : in STD_LOGIC_VECTOR ( 11 downto 0 ); 
    douta : out STD_LOGIC_VECTOR ( 17 downto 0 ) 
  );
end EAU_mLUT;

architecture STRUCTURE of EAU_mLUT is
  signal BU2_N1 : STD_LOGIC; 
  signal NLW_VCC_P_UNCONNECTED : STD_LOGIC; 
  signal NLW_GND_G_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATA_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATB_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGA_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGB_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_30_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_29_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_28_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_27_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_26_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_25_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_24_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_23_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_22_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_21_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_20_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_19_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_18_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_17_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_16_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_15_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_14_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_13_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_12_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_11_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_10_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_9_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_8_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_30_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_29_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_28_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_27_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_26_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_25_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_24_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_23_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_22_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_21_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_20_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_19_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_18_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_17_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_16_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_15_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_14_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_13_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_12_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_11_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_10_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_9_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_8_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_0_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_0_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATA_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATB_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGA_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGB_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_30_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_29_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_28_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_27_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_26_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_25_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_24_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_23_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_22_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_21_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_20_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_19_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_18_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_17_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_16_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_15_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_14_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_13_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_12_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_11_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_10_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_9_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_8_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_31_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_30_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_29_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_28_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_27_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_26_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_25_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_24_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_23_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_22_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_21_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_20_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_19_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_18_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_17_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_16_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_15_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_14_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_13_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_12_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_11_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_10_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_9_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_8_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_7_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_6_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_5_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_4_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_0_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_3_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_2_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_1_UNCONNECTED : STD_LOGIC; 
  signal NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_0_UNCONNECTED : STD_LOGIC; 
  signal addra_2 : STD_LOGIC_VECTOR ( 11 downto 0 ); 
  signal douta_3 : STD_LOGIC_VECTOR ( 17 downto 0 ); 
  signal BU2_U0_blk_mem_generator_valid_cstr_ram_douta : STD_LOGIC_VECTOR ( 8 downto 0 ); 
  signal BU2_U0_blk_mem_generator_valid_cstr_ram_douta0 : STD_LOGIC_VECTOR ( 8 downto 0 ); 
  signal BU2_doutb : STD_LOGIC_VECTOR ( 0 downto 0 ); 
begin
  addra_2(11) <= addra(11);
  addra_2(10) <= addra(10);
  addra_2(9) <= addra(9);
  addra_2(8) <= addra(8);
  addra_2(7) <= addra(7);
  addra_2(6) <= addra(6);
  addra_2(5) <= addra(5);
  addra_2(4) <= addra(4);
  addra_2(3) <= addra(3);
  addra_2(2) <= addra(2);
  addra_2(1) <= addra(1);
  addra_2(0) <= addra(0);
  douta(17) <= douta_3(17);
  douta(16) <= douta_3(16);
  douta(15) <= douta_3(15);
  douta(14) <= douta_3(14);
  douta(13) <= douta_3(13);
  douta(12) <= douta_3(12);
  douta(11) <= douta_3(11);
  douta(10) <= douta_3(10);
  douta(9) <= douta_3(9);
  douta(8) <= douta_3(8);
  douta(7) <= douta_3(7);
  douta(6) <= douta_3(6);
  douta(5) <= douta_3(5);
  douta(4) <= douta_3(4);
  douta(3) <= douta_3(3);
  douta(2) <= douta_3(2);
  douta(1) <= douta_3(1);
  douta(0) <= douta_3(0);
  VCC_0 : VCC
    port map (
      P => NLW_VCC_P_UNCONNECTED
    );
  GND_1 : GND
    port map (
      G => NLW_GND_G_UNCONNECTED
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_0 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(0),
      R => BU2_doutb(0),
      Q => douta_3(0)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_1 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(1),
      R => BU2_doutb(0),
      Q => douta_3(1)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_2 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(2),
      R => BU2_doutb(0),
      Q => douta_3(2)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_3 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(3),
      R => BU2_doutb(0),
      Q => douta_3(3)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_4 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(4),
      R => BU2_doutb(0),
      Q => douta_3(4)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_5 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(5),
      R => BU2_doutb(0),
      Q => douta_3(5)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_6 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(6),
      R => BU2_doutb(0),
      Q => douta_3(6)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_7 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(7),
      R => BU2_doutb(0),
      Q => douta_3(7)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_8 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(8),
      R => BU2_doutb(0),
      Q => douta_3(8)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_9 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(0),
      R => BU2_doutb(0),
      Q => douta_3(9)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_10 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(1),
      R => BU2_doutb(0),
      Q => douta_3(10)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_11 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(2),
      R => BU2_doutb(0),
      Q => douta_3(11)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_12 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(3),
      R => BU2_doutb(0),
      Q => douta_3(12)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_13 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(4),
      R => BU2_doutb(0),
      Q => douta_3(13)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_14 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(5),
      R => BU2_doutb(0),
      Q => douta_3(14)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_15 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(6),
      R => BU2_doutb(0),
      Q => douta_3(15)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_16 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(7),
      R => BU2_doutb(0),
      Q => douta_3(16)
    );
  BU2_U0_blk_mem_generator_valid_cstr_douta_i_17 : FDRE
    generic map(
      INIT => '0'
    )
    port map (
      C => clka,
      CE => BU2_N1,
      D => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(8),
      R => BU2_doutb(0),
      Q => douta_3(17)
    );
  BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP : RAMB36_EXP
    generic map(
      DOA_REG => 0,
      DOB_REG => 0,
      INIT_7E => X"9741EB943EE8923CE58F39E38D37E18B35DF8933DE8832DC8631DB852FDA842E",
      INIT_7F => X"6B14BD660FB9620BB45D07B05902AC55FEA851FBA44EF7A14AF49D47F09A44ED",
      INITP_00 => X"E1E1C3C3C787870F0F0E1E1E1C3C3C3C7878787878F0F0F0F0F0F0F0F0F0F0F0",
      INITP_01 => X"70E1C3C78F1E3C3870F1E3C3870F1E1C3878F0E1E3C387870F1E1E3C387870F0",
      INITP_02 => X"1E3871E3871E3C70E3C70E1C78F1C3870E3C78F1C3870E1C3870E1C3870E1C38",
      INITP_03 => X"38E1C71C78E38E1C71C38E3C71C38E3C71C38E1C70E3871C38E1C70E3C70E387",
      INITP_04 => X"8E38E38E38E31C71C71C71C71C71C71C71C71C78E38E38E38E3871C71C71E38E",
      INITP_05 => X"C738E71CE39C718E39C718E39C71CE38E71C738E38C71C718E38E39C71C71C73",
      INITP_06 => X"C631CE718C739C639CE31CE318E718E718E718E71CE31CE39C638C738E71CE39",
      INITP_07 => X"E6318C6739CE6318C6318C6739CE739CE739CE718C6318C639CE738C6318E738",
      INITP_08 => X"319CCE63399CC673198CE63398CE6319CC67318CE6319CC6339CC6339CC6319C",
      INITP_09 => X"3339998CCC6663331998CCE66333998CCE6633199CCE673399CCE673399CC663",
      INITP_0A => X"CCE66666666666666633333333319999998CCCCCE66667333339999CCCCE6663",
      INITP_0B => X"E1C3C3C787878F0F0F1E1E1E1C3C3C3C3C7878787878787878F0F0F0F0CCCCCC",
      INITP_0C => X"C3878F1E3C3870F1E3C3878F1E1C3C7870F1E1C3C7878F0E1E1C3C387870F0E1",
      INITP_0D => X"F1C38F1C38F1E3870E3C70E1C38F1E3C70E1C3870E1C78F1E3C78F1E1C3870E1",
      SRVAL_A => X"000000000",
      SRVAL_B => X"000000000",
      INIT_00 => X"C7874606C5854404C4834303C2824202C1814101C0804000C0804000C0804000",
      INIT_01 => X"DF9E5D1CDB9A5918D7965615D4935212D1904F0FCE8D4D0CCB8B4A0AC9894808",
      INIT_02 => X"07C5844201BF7E3CFBBA7837F6B47332F1AF6E2DECAB6928E7A66524E3A26120",
      INIT_03 => X"3FFDBB7937F5B3712FEDAB6A28E6A46221DF9D5B1AD8965513D1904E0DCB8A48",
      INIT_04 => X"884503C07E3BF9B67431EFAD6A28E6A3611FDD9A5816D4924F0DCB894705C381",
      INIT_05 => X"E19E5B18D5924F0CC9864300BE7B38F5B26F2DEAA76422DF9C5A17D4924F0DCA",
      INIT_06 => X"4B08C4803DF9B6722FECA86521DE9B5714D18D4A07C4803DFAB77430EDAA6724",
      INIT_07 => X"C6823EFAB6722EEAA6621EDA96520ECA8743FFBB7734F0AC6825E19D5A16D28F",
      INIT_08 => X"520EC98440FBB7722EE9A5601CD7934F0AC6813DF9B4702CE8A35F1BD7934E0A",
      INIT_09 => X"F0AA6520DB96510CC7823DF8B36E29E49F5A15D08B4602BD7833EEAA6520DC97",
      INIT_0A => X"9E5813CD8742FCB6712BE6A05B15D08A45FFBA742FEAA45F1AD48F4A04BF7A35",
      INIT_0B => X"5E18D28B45FFB9732CE6A05A14CE8842FCB6702AE49E5812CC8741FBB56F2AE4",
      INIT_0C => X"30E9A25B14CE8740FAB36C26DF98520BC57E38F1AB641ED7914A04BE7731EBA4",
      INIT_0D => X"13CC843DF6AE6720D8914A03BC742DE69F5811CA833CF5AE6720D9924B04BD76",
      INIT_0E => X"08C07830E8A15911C98139F2AA621BD38B44FCB46D25DE964E07BF7831E9A25A",
      INIT_0F => X"0FC77E36EDA55C14CC833BF3AA621AD28941F9B16920D8904800B87028E09850",
      INIT_10 => X"28DF964D04BB7229E0974E06BD742BE2995108BF762EE59C540BC27A31E9A058",
      INIT_11 => X"540AC0772DE49A5107BE742BE1984E05BC7229E0964D04BB7128DF964D04BA71",
      INIT_12 => X"9247FDB3691FD58A40F6AC6218CE843AF0A65D13C97F35EBA1580EC47A31E79D",
      INIT_13 => X"E2974C02B76C22D78C42F7AC6217CD8238EDA3580EC3792EE49A4F05BB7026DC",
      INIT_14 => X"45FAAE6318CC8136EB9F5409BE7328DC9146FBB0651ACF8439EEA3580DC3782D",
      INIT_15 => X"BB6F23D78B40F4A85C10C4792DE1954AFEB2671BCF8438EDA1550ABE7327DC91",
      INIT_16 => X"44F8AB5F12C6792DE09447FBAF6216CA7D31E5994C00B4681CD08337EB9F5307",
      INIT_17 => X"E09346F9AC5F12C5772ADD9144F7AA5D10C37629DC9043F6A95D10C3772ADD91",
      INIT_18 => X"9042F4A7590BBD7022D48739EC9E5103B6681BCD8032E5984AFDB06215C87B2E",
      INIT_19 => X"5304B66819CB7D2EE09244F6A7590BBD6F21D38537E99B4DFFB16315C7792BDE",
      INIT_1A => X"29DA8B3CED9E4F01B26314C57628D98A3BED9E4F01B26415C67829DB8C3EEFA1",
      INIT_1B => X"13C47425D58536E69747F8A9590ABA6B1CCC7D2EDF8F40F1A25304B46516C778",
      INIT_1C => X"12C17121D18030E09040F0A05000B06010C07020D08031E19141F1A25202B363",
      INIT_1D => X"24D38231E0903FEE9D4DFCAB5B0AB96918C87726D68635E59444F3A35302B262",
      INIT_1E => X"4AF9A75604B36110BF6D1CCB7928D78634E39241F09F4EFCAB5A09B86716C575",
      INIT_1F => X"8533E18F3CEA9846F4A250FEAC5B09B76513C1701ECC7A29D78534E2903FED9C",
      INIT_20 => X"D4812FDC8936E4913EEC9947F4A24FFCAA5805B3600EBB6917C57220CE7B29D7",
      INIT_21 => X"38E5913EEB9744F19D4AF7A450FDAA5704B15D0AB76411BE6B18C57320CD7A27",
      INIT_22 => X"B15D09B5610DB96511BD6915C16E1AC6721ECB7723CF7C28D5812DDA8633DF8C",
      INIT_23 => X"3FEA9641EC9843EE9A45F09C47F39E4AF5A14DF8A450FBA753FEAA5602AE5905",
      INIT_24 => X"E28D37E28D37E28D37E28D38E38D38E38E39E48F3AE5903BE6913CE7923EE994",
      INIT_25 => X"9B45EF9942EC9741EB953FE9933DE7923CE6903BE58F3AE48E39E38E38E38D38",
      INIT_26 => X"6912BB640EB7600AB35D06AF5902AC55FFA952FCA54FF9A24CF6A049F39D47F1",
      INIT_27 => X"4CF59E46EF9740E9913AE38C34DD862FD8812AD37C25CE7720C9721BC46D16BF",
      INIT_28 => X"46EE963EE68E36DE852ED67E26CE761EC66F17BF6710B86009B15A02AA53FBA4",
      INIT_29 => X"56FDA44BF29A41E89037DE862DD57C24CB731AC26911B86008AF57FFA74FF69E",
      INIT_2A => X"7B22C86F15BC6309B057FDA44BF1983FE68D33DA8128CF761DC46B12B96007AE",
      INIT_2B => X"B85D03A94FF59B41E68C32D87E24CA7117BD6309AF56FCA248EF953BE2882FD5",
      INIT_2C => X"0AAF54FA9F44E98E34D97E23C96E13B95E04A94EF4993FE58A30D57B21C66C12",
      INIT_2D => X"7418BD6105AA4EF3973CE0852ACE7318BC6106AA4FF4993EE3872CD1761BC065",
      INIT_2E => X"F4983BDF8327CA6E12B65AFDA145E98D31D5791DC16509AE52F69A3EE3872BCF",
      INIT_2F => X"8C2FD27517BA5E01A447EA8D30D3771ABD6004A74AEE9134D87B1FC26609AD51",
      INIT_30 => X"3ADD7F21C36608AA4DEF9134D6791BBE6003A548EA8D30D27518BB5D00A346E9",
      INIT_31 => X"01A244E58728CA6B0DAF50F29435D7791BBC5E00A244E6882ACC6E10B254F698",
      INIT_32 => X"DF7F20C16102A344E58627C8690AAB4CED8E2FD07112B355F69738DA7B1CBE5F",
      INIT_33 => X"D47414B454F49434D57515B555F69636D67717B758F89939DA7A1BBB5CFD9D3E",
      INIT_34 => X"E28120C05FFE9D3DDC7C1BBA5AF99938D87817B756F69636D57515B555F49434",
      INIT_35 => X"08A645E38220BF5DFC9B39D87715B453F2912FCE6D0CAB4AE98827C66504A443",
      INIT_36 => X"46E4811FBD5BF99634D2700EAC4AE88624C260FE9C3AD97715B352F08E2DCB69",
      INIT_37 => X"9D3AD77411AE4BE88522BF5CF99734D16E0CA946E4811FBC59F79432D06D0BA8",
      INIT_38 => X"0DA945E17D1AB652EE8B27C360FC9935D26E0BA744E17D1AB753F08D2AC66300",
      INIT_39 => X"9531CC67039E3AD5710CA843DF7B16B24EEA8521BD59F5912CC864009C38D471",
      INIT_3A => X"37D26C07A13CD7710CA742DD7712AD48E37E19B44FEA8520BB56F28D28C35FFA",
      INIT_3B => X"F28C26C059F38D27C15BF58F29C35DF7912CC660FA952FC963FE9833CD68029D",
      INIT_3C => X"C760F9922BC45DF68F28C25BF48D27C059F38C26BF58F28B25BF58F28B25BF58",
      INIT_3D => X"B54EE67E16AE47DF7710A841D9710AA23BD46C059D36CF67009932CA63FC952E",
      INIT_3E => X"BE55ED841BB34AE27911A840D86F079F36CE66FE952DC55DF58D25BD55ED851D",
      INIT_3F => X"E0770EA43BD168FF952CC35AF0871EB54CE37A11A83FD66D049B32CA61F88F27",
      INIT_40 => X"1DB349DF740AA036CC62F78D23B94FE57C12A83ED46A01972DC35AF0871DB34A",
      INIT_41 => X"750A9F34C95DF2871CB247DC71069B31C65BF0861BB046DB71069C31C75CF288",
      INIT_42 => X"E77B0FA337CC60F4881CB145D96E02962BBF54E87D11A63ACF64F88D22B64BE0",
      INIT_43 => X"75089B2EC155E87B0FA236C95CF08317AB3ED265F98D21B448DC7004972BBF53",
      INIT_44 => X"1DAF42D467F98B1EB043D668FB8D20B345D86BFE9123B649DC6F029528BB4EE1",
      INIT_45 => X"E173049627B94ADC6EFF9123B446D86AFC8E20B143D567FA8C1EB042D466F98B",
      INIT_46 => X"C151E273039425B546D768F98A1BAB3CCD5EF08112A334C556E8790A9C2DBE50",
      INIT_47 => X"BC4CDC6BFB8B1BAB3BCB5BEB7B0B9B2BBB4BDB6CFC8C1CAD3DCD5EEE7F0FA030",
      INIT_48 => X"D463F2800F9E2DBC4BDA69F98817A635C554E372029121B03FCF5FEE7E0D9D2D",
      INIT_49 => X"089624B240CE5CEA78069423B13FCD5CEA79079524B241D05EED7B0A9927B645",
      INIT_4A => X"58E572FF8C1AA734C14EDC69F684119F2CBA47D562F07E0B9927B542D05EEC7A",
      INIT_4B => X"C551DD6AF6820E9B27B340CC59E572FE8B18A431BE4AD764F17D0A9724B13ECB",
      INIT_4C => X"4FDA66F17C08931EAA35C14CD864EF7B06921EAA35C14DD965F17D099521AD39",
      INIT_4D => X"F6810B9620AA35BF4AD45FEA74FF8A149F2AB540CA55E06BF6810C9722AE39C4",
      INIT_4E => X"BB44CE57E16AF47E07911AA42EB841CB55DF69F37D07911BA52FB943CD58E26C",
      INIT_4F => X"9D26AE37C048D159E26BF37C058E17A029B23AC34CD65FE871FA830D961FA832",
      INIT_50 => X"9E25AD34BC44CB53DB63EA72FA820A921AA22AB23AC24AD25BE36BF37C048D15",
      INIT_51 => X"BC43C950D65DE46BF278FF860D941BA229B037BE45CD54DB62EA71F880078F16",
      INIT_52 => X"F97E048A0F951BA127AC32B83EC44AD056DD63E96FF57C02880F951BA228AF35",
      INIT_53 => X"54D95DE267EC70F57AFF84098E13981DA228AD32B73DC247CD52D75DE268ED73",
      INIT_54 => X"CE52D559DD61E569ED71F579FD8105890D91169A1EA227AB30B438BD41C64BCF",
      INIT_55 => X"67EA6DF072F578FB7E0184078A0D9014971A9D21A427AB2EB135B83CBF43C74A",
      INIT_56 => X"20A123A527A92BAD2FB133B537B93BBD40C244C649CB4DD052D557DA5DDF62E4",
      INIT_57 => X"F879F97AFB7CFD7EFF8001820384058708890A8C0D8E109113941697199B1C9E",
      INIT_58 => X"F8B77737F7B77737EF6FEF6FEF6FEF70F070F071F171F272F373F474F576F677",
      INIT_59 => X"04C3824201C18040FFBF7E3EFDBD7C3CFCBB7B3BFABA7A39F9B97938F8B87838",
      INIT_5A => X"20DF9D5C1BDA995817D6955413D2915010CF8E4D0CCB8B4A09C8884706C68544",
      INIT_5B => X"4C0AC9874604C3813FFEBC7B3AF8B77534F2B1702EEDAC6B29E8A76624E3A261",
      INIT_5C => X"894705C3803EFCBA7836F4B2702EECAA6827E5A3611FDD9C5A18D6955311CF8E",
      INIT_5D => X"D694510ECC894704C17F3CFAB77532F0AE6B29E6A4621FDD9B5816D4924F0DCB",
      INIT_5E => X"34F1AE6B28E5A15E1BD895520FCC894603C07D3AF8B5722FECA96724E19E5C19",
      INIT_5F => X"A35F1CD894510DC98642FFBB7834F1AD6A26E39F5C19D5924E0BC88541FEBB78",
      INIT_60 => X"23DF9A5612CE8A4601BD7935F1AD6925E19D5915D18D4905C27E3AF6B26E2BE7",
      INIT_61 => X"B46F2AE5A15C17D38E4905C07B37F2AE6925E09C5713CE8A4601BD7834F0AC67",
      INIT_62 => X"5610CB8641FBB6712CE7A15C17D28D4803BE7934EFAA6520DB96510CC7823DF9",
      INIT_63 => X"09C37D38F2AC6620DB954F0AC47E39F3AD6822DD97520CC7813CF6B16B26E19B",
      INIT_64 => X"CE8841FBB46E28E19B550FC8823CF6B06923DD97510BC57F39F3AD6721DB954F",
      INIT_65 => X"A45E17D08942FBB46D26E099520BC47E37F0AA631CD68F4902BB752EE8A15B14",
      INIT_66 => X"8D45FEB66F27E098510AC27B33ECA55E16CF8841F9B26B24DD964F08C17932EB",
      INIT_67 => X"873FF7AF661ED68E47FFB76F27DF974F07C07830E8A15911C9823AF3AB631CD4",
      INIT_68 => X"934A01B97028DF974E06BD752CE49B530BC27A31E9A15910C88038EFA75F17CF",
      INIT_69 => X"B1681FD58C43FAB1681FD68D44FBB26920D78E45FCB36A21D99047FEB66D24DB",
      INIT_6A => X"E2984E04BB7127DD944A00B76D24DA9147FEB46B21D88E45FBB2691FD68D44FA",
      INIT_6B => X"25DA9046FBB1671CD2883EF4A95F15CB8137EDA3590FC57B31E79D5309BF752B",
      INIT_6C => X"7A2FE4994F04B96E23D88D43F8AD6218CD8238EDA3580DC3782EE3994E04B96F",
      INIT_6D => X"E3974C00B5691ED2873BF0A5590EC3772CE1964AFFB4691ED3883CF1A65B10C5",
      INIT_6E => X"5E12C6792DE19549FDB16519CD8136EA9E5206BA6F23D78B40F4A85D11C57A2E",
      INIT_6F => X"EC9F5306B96D20D3873AEEA15508BC6F23D68A3DF1A5580CC07327DB8F42F6AA",
      INIT_70 => X"8E40F3A6580BBE7123D6893CEFA25507BA6D20D38639ECA05306B96C1FD28639",
      INIT_71 => X"42F4A7590BBD6F21D38638EA9C4F01B36618CA7D2FE29446F9AB5E11C37628DB",
      INIT_72 => X"0BBC6E1FD18234E59748FAAC5D0FC17224D68839EB9D4F01B36416C87A2CDE90",
      INIT_73 => X"E79748F9AA5B0CBD6E1FD08132E39445F6A7580ABB6C1DCF8031E29445F6A859",
      INIT_74 => X"D68737E79748F8A85909B96A1ACB7B2BDC8C3DEE9E4FFFB06111C27323D48536",
      INIT_75 => X"DA8A39E99848F8A85707B76716C67626D68635E59545F5A55505B66616C67626",
      INIT_76 => X"F2A150FFAE5D0CBB6A19C87727D68534E39342F1A150FFAF5E0DBD6C1CCB7B2A",
      INIT_77 => X"1ECC7B29D78634E3913FEE9C4BFAA85705B46311C06F1DCC7B2AD98736E59443",
      INIT_78 => X"5E0CBA6715C3711ECC7A28D68432E08E3BE99846F4A250FEAC5A08B76513C170",
      INIT_79 => X"B3600DBB6815C26F1CC97724D17E2CD98634E18E3CE99744F29F4DFAA85503B1",
      INIT_7A => X"1DCA7622CF7B28D4812DDA8633E08C39E6923FEC9945F29F4CF9A653FFAC5906",
      INIT_7B => X"9C48F39F4BF7A34EFAA652FEAA5602AE5A06B25E0AB6630FBB6713C06C18C471",
      INIT_7C => X"30DB8631DC8732DE8934DF8A36E18C38E38F3AE5913CE8933FEA9642ED9945F0",
      INIT_7D => X"D9832ED8822DD7822CD7822CD7822CD7822CD7822DD7822DD8832ED9842FDA85",
      INITP_0E => X"8E3871C71E38E3C71C38E3C71C38E3C71E38F1C78E3C70E3871E38F1C38F1C38",
      INIT_FILE => "NONE",
      RAM_EXTENSION_A => "NONE",
      RAM_EXTENSION_B => "NONE",
      READ_WIDTH_A => 9,
      READ_WIDTH_B => 9,
      SIM_COLLISION_CHECK => "ALL",
      SIM_MODE => "SAFE",
      INIT_A => X"000000000",
      INIT_B => X"000000000",
      WRITE_MODE_A => "WRITE_FIRST",
      WRITE_MODE_B => "WRITE_FIRST",
      WRITE_WIDTH_A => 9,
      WRITE_WIDTH_B => 9,
      INITP_0F => X"C71CE38E38E38E38E38E38E38E38E38E38E1C71C71C71C70E38E38E1C71C71E3"
    )
    port map (
      ENAU => BU2_N1,
      ENAL => BU2_N1,
      ENBU => BU2_doutb(0),
      ENBL => BU2_doutb(0),
      SSRAU => BU2_doutb(0),
      SSRAL => BU2_doutb(0),
      SSRBU => BU2_doutb(0),
      SSRBL => BU2_doutb(0),
      CLKAU => clka,
      CLKAL => clka,
      CLKBU => BU2_doutb(0),
      CLKBL => BU2_doutb(0),
      REGCLKAU => clka,
      REGCLKAL => clka,
      REGCLKBU => BU2_doutb(0),
      REGCLKBL => BU2_doutb(0),
      REGCEAU => BU2_doutb(0),
      REGCEAL => BU2_doutb(0),
      REGCEBU => BU2_doutb(0),
      REGCEBL => BU2_doutb(0),
      CASCADEINLATA => BU2_doutb(0),
      CASCADEINLATB => BU2_doutb(0),
      CASCADEINREGA => BU2_doutb(0),
      CASCADEINREGB => BU2_doutb(0),
      CASCADEOUTLATA => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATA_UNCONNECTED,
      CASCADEOUTLATB => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATB_UNCONNECTED,
      CASCADEOUTREGA => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGA_UNCONNECTED,
      CASCADEOUTREGB => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGB_UNCONNECTED,
      DIA(31) => BU2_doutb(0),
      DIA(30) => BU2_doutb(0),
      DIA(29) => BU2_doutb(0),
      DIA(28) => BU2_doutb(0),
      DIA(27) => BU2_doutb(0),
      DIA(26) => BU2_doutb(0),
      DIA(25) => BU2_doutb(0),
      DIA(24) => BU2_doutb(0),
      DIA(23) => BU2_doutb(0),
      DIA(22) => BU2_doutb(0),
      DIA(21) => BU2_doutb(0),
      DIA(20) => BU2_doutb(0),
      DIA(19) => BU2_doutb(0),
      DIA(18) => BU2_doutb(0),
      DIA(17) => BU2_doutb(0),
      DIA(16) => BU2_doutb(0),
      DIA(15) => BU2_doutb(0),
      DIA(14) => BU2_doutb(0),
      DIA(13) => BU2_doutb(0),
      DIA(12) => BU2_doutb(0),
      DIA(11) => BU2_doutb(0),
      DIA(10) => BU2_doutb(0),
      DIA(9) => BU2_doutb(0),
      DIA(8) => BU2_doutb(0),
      DIA(7) => BU2_doutb(0),
      DIA(6) => BU2_doutb(0),
      DIA(5) => BU2_doutb(0),
      DIA(4) => BU2_doutb(0),
      DIA(3) => BU2_doutb(0),
      DIA(2) => BU2_doutb(0),
      DIA(1) => BU2_doutb(0),
      DIA(0) => BU2_doutb(0),
      DIPA(3) => BU2_doutb(0),
      DIPA(2) => BU2_doutb(0),
      DIPA(1) => BU2_doutb(0),
      DIPA(0) => BU2_doutb(0),
      DIB(31) => BU2_doutb(0),
      DIB(30) => BU2_doutb(0),
      DIB(29) => BU2_doutb(0),
      DIB(28) => BU2_doutb(0),
      DIB(27) => BU2_doutb(0),
      DIB(26) => BU2_doutb(0),
      DIB(25) => BU2_doutb(0),
      DIB(24) => BU2_doutb(0),
      DIB(23) => BU2_doutb(0),
      DIB(22) => BU2_doutb(0),
      DIB(21) => BU2_doutb(0),
      DIB(20) => BU2_doutb(0),
      DIB(19) => BU2_doutb(0),
      DIB(18) => BU2_doutb(0),
      DIB(17) => BU2_doutb(0),
      DIB(16) => BU2_doutb(0),
      DIB(15) => BU2_doutb(0),
      DIB(14) => BU2_doutb(0),
      DIB(13) => BU2_doutb(0),
      DIB(12) => BU2_doutb(0),
      DIB(11) => BU2_doutb(0),
      DIB(10) => BU2_doutb(0),
      DIB(9) => BU2_doutb(0),
      DIB(8) => BU2_doutb(0),
      DIB(7) => BU2_doutb(0),
      DIB(6) => BU2_doutb(0),
      DIB(5) => BU2_doutb(0),
      DIB(4) => BU2_doutb(0),
      DIB(3) => BU2_doutb(0),
      DIB(2) => BU2_doutb(0),
      DIB(1) => BU2_doutb(0),
      DIB(0) => BU2_doutb(0),
      DIPB(3) => BU2_doutb(0),
      DIPB(2) => BU2_doutb(0),
      DIPB(1) => BU2_doutb(0),
      DIPB(0) => BU2_doutb(0),
      ADDRAL(15) => BU2_doutb(0),
      ADDRAL(14) => addra_2(11),
      ADDRAL(13) => addra_2(10),
      ADDRAL(12) => addra_2(9),
      ADDRAL(11) => addra_2(8),
      ADDRAL(10) => addra_2(7),
      ADDRAL(9) => addra_2(6),
      ADDRAL(8) => addra_2(5),
      ADDRAL(7) => addra_2(4),
      ADDRAL(6) => addra_2(3),
      ADDRAL(5) => addra_2(2),
      ADDRAL(4) => addra_2(1),
      ADDRAL(3) => addra_2(0),
      ADDRAL(2) => BU2_doutb(0),
      ADDRAL(1) => BU2_doutb(0),
      ADDRAL(0) => BU2_doutb(0),
      ADDRAU(14) => addra_2(11),
      ADDRAU(13) => addra_2(10),
      ADDRAU(12) => addra_2(9),
      ADDRAU(11) => addra_2(8),
      ADDRAU(10) => addra_2(7),
      ADDRAU(9) => addra_2(6),
      ADDRAU(8) => addra_2(5),
      ADDRAU(7) => addra_2(4),
      ADDRAU(6) => addra_2(3),
      ADDRAU(5) => addra_2(2),
      ADDRAU(4) => addra_2(1),
      ADDRAU(3) => addra_2(0),
      ADDRAU(2) => BU2_doutb(0),
      ADDRAU(1) => BU2_doutb(0),
      ADDRAU(0) => BU2_doutb(0),
      ADDRBL(15) => BU2_doutb(0),
      ADDRBL(14) => BU2_doutb(0),
      ADDRBL(13) => BU2_doutb(0),
      ADDRBL(12) => BU2_doutb(0),
      ADDRBL(11) => BU2_doutb(0),
      ADDRBL(10) => BU2_doutb(0),
      ADDRBL(9) => BU2_doutb(0),
      ADDRBL(8) => BU2_doutb(0),
      ADDRBL(7) => BU2_doutb(0),
      ADDRBL(6) => BU2_doutb(0),
      ADDRBL(5) => BU2_doutb(0),
      ADDRBL(4) => BU2_doutb(0),
      ADDRBL(3) => BU2_doutb(0),
      ADDRBL(2) => BU2_doutb(0),
      ADDRBL(1) => BU2_doutb(0),
      ADDRBL(0) => BU2_doutb(0),
      ADDRBU(14) => BU2_doutb(0),
      ADDRBU(13) => BU2_doutb(0),
      ADDRBU(12) => BU2_doutb(0),
      ADDRBU(11) => BU2_doutb(0),
      ADDRBU(10) => BU2_doutb(0),
      ADDRBU(9) => BU2_doutb(0),
      ADDRBU(8) => BU2_doutb(0),
      ADDRBU(7) => BU2_doutb(0),
      ADDRBU(6) => BU2_doutb(0),
      ADDRBU(5) => BU2_doutb(0),
      ADDRBU(4) => BU2_doutb(0),
      ADDRBU(3) => BU2_doutb(0),
      ADDRBU(2) => BU2_doutb(0),
      ADDRBU(1) => BU2_doutb(0),
      ADDRBU(0) => BU2_doutb(0),
      WEAU(3) => BU2_doutb(0),
      WEAU(2) => BU2_doutb(0),
      WEAU(1) => BU2_doutb(0),
      WEAU(0) => BU2_doutb(0),
      WEAL(3) => BU2_doutb(0),
      WEAL(2) => BU2_doutb(0),
      WEAL(1) => BU2_doutb(0),
      WEAL(0) => BU2_doutb(0),
      WEBU(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_7_UNCONNECTED,
      WEBU(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_6_UNCONNECTED,
      WEBU(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_5_UNCONNECTED,
      WEBU(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_4_UNCONNECTED,
      WEBU(3) => BU2_doutb(0),
      WEBU(2) => BU2_doutb(0),
      WEBU(1) => BU2_doutb(0),
      WEBU(0) => BU2_doutb(0),
      WEBL(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_7_UNCONNECTED,
      WEBL(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_6_UNCONNECTED,
      WEBL(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_5_UNCONNECTED,
      WEBL(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_4_UNCONNECTED,
      WEBL(3) => BU2_doutb(0),
      WEBL(2) => BU2_doutb(0),
      WEBL(1) => BU2_doutb(0),
      WEBL(0) => BU2_doutb(0),
      DOA(31) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_31_UNCONNECTED,
      DOA(30) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_30_UNCONNECTED,
      DOA(29) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_29_UNCONNECTED,
      DOA(28) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_28_UNCONNECTED,
      DOA(27) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_27_UNCONNECTED,
      DOA(26) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_26_UNCONNECTED,
      DOA(25) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_25_UNCONNECTED,
      DOA(24) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_24_UNCONNECTED,
      DOA(23) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_23_UNCONNECTED,
      DOA(22) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_22_UNCONNECTED,
      DOA(21) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_21_UNCONNECTED,
      DOA(20) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_20_UNCONNECTED,
      DOA(19) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_19_UNCONNECTED,
      DOA(18) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_18_UNCONNECTED,
      DOA(17) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_17_UNCONNECTED,
      DOA(16) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_16_UNCONNECTED,
      DOA(15) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_15_UNCONNECTED,
      DOA(14) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_14_UNCONNECTED,
      DOA(13) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_13_UNCONNECTED,
      DOA(12) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_12_UNCONNECTED,
      DOA(11) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_11_UNCONNECTED,
      DOA(10) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_10_UNCONNECTED,
      DOA(9) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_9_UNCONNECTED,
      DOA(8) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_8_UNCONNECTED,
      DOA(7) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(7),
      DOA(6) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(6),
      DOA(5) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(5),
      DOA(4) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(4),
      DOA(3) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(3),
      DOA(2) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(2),
      DOA(1) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(1),
      DOA(0) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(0),
      DOPA(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_3_UNCONNECTED,
      DOPA(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_2_UNCONNECTED,
      DOPA(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_1_UNCONNECTED,
      DOPA(0) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta(8),
      DOB(31) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_31_UNCONNECTED,
      DOB(30) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_30_UNCONNECTED,
      DOB(29) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_29_UNCONNECTED,
      DOB(28) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_28_UNCONNECTED,
      DOB(27) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_27_UNCONNECTED,
      DOB(26) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_26_UNCONNECTED,
      DOB(25) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_25_UNCONNECTED,
      DOB(24) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_24_UNCONNECTED,
      DOB(23) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_23_UNCONNECTED,
      DOB(22) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_22_UNCONNECTED,
      DOB(21) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_21_UNCONNECTED,
      DOB(20) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_20_UNCONNECTED,
      DOB(19) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_19_UNCONNECTED,
      DOB(18) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_18_UNCONNECTED,
      DOB(17) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_17_UNCONNECTED,
      DOB(16) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_16_UNCONNECTED,
      DOB(15) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_15_UNCONNECTED,
      DOB(14) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_14_UNCONNECTED,
      DOB(13) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_13_UNCONNECTED,
      DOB(12) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_12_UNCONNECTED,
      DOB(11) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_11_UNCONNECTED,
      DOB(10) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_10_UNCONNECTED,
      DOB(9) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_9_UNCONNECTED,
      DOB(8) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_8_UNCONNECTED,
      DOB(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_7_UNCONNECTED,
      DOB(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_6_UNCONNECTED,
      DOB(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_5_UNCONNECTED,
      DOB(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_4_UNCONNECTED,
      DOB(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_3_UNCONNECTED,
      DOB(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_2_UNCONNECTED,
      DOB(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_1_UNCONNECTED,
      DOB(0) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_0_UNCONNECTED,
      DOPB(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_3_UNCONNECTED,
      DOPB(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_2_UNCONNECTED,
      DOPB(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_1_UNCONNECTED,
      DOPB(0) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_0_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_0_UNCONNECTED
    );
  BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP : RAMB36_EXP
    generic map(
      DOA_REG => 0,
      DOB_REG => 0,
      INIT_7E => X"B2B2B1B1B1B1B1B1B0B0B0B0B0B0AFAFAFAFAFAFAEAEAEAEAEAEADADADADADAD",
      INIT_7F => X"B7B7B7B7B7B6B6B6B6B6B6B5B5B5B5B5B4B4B4B4B4B4B3B3B3B3B3B3B2B2B2B2",
      INITP_00 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_01 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_02 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_03 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_04 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_05 => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_06 => X"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFE0000000000000000000000000000000",
      INITP_07 => X"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
      INITP_08 => X"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
      INITP_09 => X"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
      INITP_0A => X"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF",
      INITP_0B => X"0000000000000000000000000000000000000000000000000000000000FFFFFF",
      INITP_0C => X"0000000000000000000000000000000000000000000000000000000000000000",
      INITP_0D => X"0000000000000000000000000000000000000000000000000000000000000000",
      SRVAL_A => X"000000000",
      SRVAL_B => X"000000000",
      INIT_00 => X"0303030303030303020202020202020201010101010101010000000000000000",
      INIT_01 => X"0707070707070707060606060606060605050505050505050404040404040404",
      INIT_02 => X"0C0B0B0B0B0B0B0B0A0A0A0A0A0A0A0A09090909090909090808080808080808",
      INIT_03 => X"100F0F0F0F0F0F0F0F0E0E0E0E0E0E0E0E0D0D0D0D0D0D0D0D0C0C0C0C0C0C0C",
      INIT_04 => X"1414141313131313131312121212121212121111111111111111101010101010",
      INIT_05 => X"1818181817171717171717171616161616161615151515151515151414141414",
      INIT_06 => X"1C1C1C1C1C1B1B1B1B1B1B1B1B1A1A1A1A1A1A1A1A1919191919191918181818",
      INIT_07 => X"202020202020201F1F1F1F1F1F1F1F1E1E1E1E1E1E1E1D1D1D1D1D1D1D1D1C1C",
      INIT_08 => X"2525242424242424242323232323232323222222222222222121212121212121",
      INIT_09 => X"2929292928282828282828272727272727272726262626262626252525252525",
      INIT_0A => X"2D2D2D2D2D2D2C2C2C2C2C2C2C2C2B2B2B2B2B2B2B2A2A2A2A2A2A2A2A292929",
      INIT_0B => X"323231313131313131303030303030302F2F2F2F2F2F2F2F2E2E2E2E2E2E2E2D",
      INIT_0C => X"3636363636353535353535353434343434343433333333333333333232323232",
      INIT_0D => X"3B3A3A3A3A3A3A3A393939393939393838383838383837373737373737373636",
      INIT_0E => X"3F3F3F3F3E3E3E3E3E3E3E3D3D3D3D3D3D3D3C3C3C3C3C3C3C3C3B3B3B3B3B3B",
      INIT_0F => X"44434343434343434242424242424241414141414141404040404040403F3F3F",
      INIT_10 => X"4848484848474747474747474646464646464645454545454545444444444444",
      INIT_11 => X"4D4D4C4C4C4C4C4C4C4B4B4B4B4B4B4B4A4A4A4A4A4A4A494949494949494848",
      INIT_12 => X"515151515151505050505050504F4F4F4F4F4F4F4E4E4E4E4E4E4E4D4D4D4D4D",
      INIT_13 => X"5656565655555555555554545454545454535353535353535252525252525251",
      INIT_14 => X"5B5A5A5A5A5A5A5A595959595959595858585858585857575757575757565656",
      INIT_15 => X"5F5F5F5F5F5F5E5E5E5E5E5E5E5D5D5D5D5D5D5D5C5C5C5C5C5C5C5B5B5B5B5B",
      INIT_16 => X"6464646464636363636363626262626262626161616161616160606060606060",
      INIT_17 => X"6969696868686868686867676767676767666666666666656565656565656464",
      INIT_18 => X"6E6E6D6D6D6D6D6D6D6C6C6C6C6C6C6C6B6B6B6B6B6B6A6A6A6A6A6A6A696969",
      INIT_19 => X"7373727272727272717171717171717070707070706F6F6F6F6F6F6F6E6E6E6E",
      INIT_1A => X"7877777777777777767676767676757575757575757474747474747373737373",
      INIT_1B => X"7D7C7C7C7C7C7C7B7B7B7B7B7B7B7A7A7A7A7A7A797979797979797878787878",
      INIT_1C => X"82818181818181808080808080807F7F7F7F7F7F7E7E7E7E7E7E7D7D7D7D7D7D",
      INIT_1D => X"8786868686868685858585858585848484848484838383838383828282828282",
      INIT_1E => X"8C8B8B8B8B8B8B8B8A8A8A8A8A8A898989898989888888888888888787878787",
      INIT_1F => X"91919090909090908F8F8F8F8F8F8F8E8E8E8E8E8E8D8D8D8D8D8D8C8C8C8C8C",
      INIT_20 => X"9696969595959595959494949494949393939393939392929292929291919191",
      INIT_21 => X"9B9B9B9B9A9A9A9A9A9A99999999999999989898989898979797979797969696",
      INIT_22 => X"A0A0A0A0A0A09F9F9F9F9F9F9E9E9E9E9E9E9D9D9D9D9D9D9C9C9C9C9C9C9B9B",
      INIT_23 => X"A6A5A5A5A5A5A5A4A4A4A4A4A4A3A3A3A3A3A3A2A2A2A2A2A2A1A1A1A1A1A1A1",
      INIT_24 => X"ABABABAAAAAAAAAAAAA9A9A9A9A9A9A8A8A8A8A8A8A7A7A7A7A7A7A6A6A6A6A6",
      INIT_25 => X"B0B0B0B0B0AFAFAFAFAFAFAEAEAEAEAEAEADADADADADADACACACACACACABABAB",
      INIT_26 => X"B6B6B5B5B5B5B5B5B4B4B4B4B4B4B3B3B3B3B3B2B2B2B2B2B2B1B1B1B1B1B1B0",
      INIT_27 => X"BBBBBBBBBABABABABABAB9B9B9B9B9B9B8B8B8B8B8B8B7B7B7B7B7B7B6B6B6B6",
      INIT_28 => X"C1C0C0C0C0C0C0BFBFBFBFBFBFBEBEBEBEBEBEBDBDBDBDBDBDBCBCBCBCBCBBBB",
      INIT_29 => X"C6C6C6C6C5C5C5C5C5C5C4C4C4C4C4C4C3C3C3C3C3C3C2C2C2C2C2C1C1C1C1C1",
      INIT_2A => X"CCCCCBCBCBCBCBCBCACACACACAC9C9C9C9C9C9C8C8C8C8C8C8C7C7C7C7C7C7C6",
      INIT_2B => X"D1D1D1D1D1D0D0D0D0D0D0CFCFCFCFCFCFCECECECECECDCDCDCDCDCDCCCCCCCC",
      INIT_2C => X"D7D7D7D6D6D6D6D6D6D5D5D5D5D5D5D4D4D4D4D4D3D3D3D3D3D3D2D2D2D2D2D2",
      INIT_2D => X"DDDDDCDCDCDCDCDBDBDBDBDBDBDADADADADADAD9D9D9D9D9D8D8D8D8D8D8D7D7",
      INIT_2E => X"E2E2E2E2E2E2E1E1E1E1E1E0E0E0E0E0E0DFDFDFDFDFDFDEDEDEDEDEDDDDDDDD",
      INIT_2F => X"E8E8E8E8E8E7E7E7E7E7E6E6E6E6E6E6E5E5E5E5E5E4E4E4E4E4E4E3E3E3E3E3",
      INIT_30 => X"EEEEEEEEEDEDEDEDEDECECECECECECEBEBEBEBEBEAEAEAEAEAEAE9E9E9E9E9E8",
      INIT_31 => X"F4F4F4F3F3F3F3F3F3F2F2F2F2F2F1F1F1F1F1F1F0F0F0F0F0EFEFEFEFEFEEEE",
      INIT_32 => X"FAFAFAF9F9F9F9F9F8F8F8F8F8F8F7F7F7F7F7F6F6F6F6F6F5F5F5F5F5F5F4F4",
      INIT_33 => X"000000FFFFFFFFFFFEFEFEFEFEFDFDFDFDFDFDFCFCFCFCFCFBFBFBFBFBFAFAFA",
      INIT_34 => X"0606060505050505040404040403030303030302020202020101010101000000",
      INIT_35 => X"0C0C0C0B0B0B0B0B0A0A0A0A0A0A090909090908080808080707070707070606",
      INIT_36 => X"12121212111111111110101010100F0F0F0F0F0E0E0E0E0E0E0D0D0D0D0D0C0C",
      INIT_37 => X"1818181818171717171716161616161515151515141414141413131313131312",
      INIT_38 => X"1F1E1E1E1E1E1D1D1D1D1D1C1C1C1C1C1B1B1B1B1B1A1A1A1A1A191919191919",
      INIT_39 => X"252524242424242323232323222222222221212121212020202020201F1F1F1F",
      INIT_3A => X"2B2B2B2B2A2A2A2A2A2929292929282828282827272727272626262626252525",
      INIT_3B => X"313131313130303030302F2F2F2F2F2E2E2E2E2E2D2D2D2D2D2C2C2C2C2C2C2B",
      INIT_3C => X"3838373737373736363636363535353535343434343433333333333232323232",
      INIT_3D => X"3E3E3E3E3E3D3D3D3D3D3C3C3C3C3C3B3B3B3B3B3A3A3A3A3A39393939383838",
      INIT_3E => X"4545444444444443434343434242424242414141414140404040403F3F3F3F3F",
      INIT_3F => X"4B4B4B4B4B4A4A4A4A4A49494949494848484848474747474746464646454545",
      INIT_40 => X"525252515151515150505050504F4F4F4F4F4E4E4E4E4E4D4D4D4D4C4C4C4C4C",
      INIT_41 => X"5959585858585757575757565656565655555555555454545454535353535252",
      INIT_42 => X"5F5F5F5F5F5E5E5E5E5E5D5D5D5D5D5C5C5C5C5B5B5B5B5B5A5A5A5A5A595959",
      INIT_43 => X"6666666665656565656464646463636363636262626262616161616160606060",
      INIT_44 => X"6D6D6D6C6C6C6C6C6B6B6B6B6A6A6A6A6A696969696968686868686767676766",
      INIT_45 => X"7474747373737372727272727171717170707070706F6F6F6F6F6E6E6E6E6D6D",
      INIT_46 => X"7B7B7A7A7A7A7A79797979787878787877777777777676767675757575757474",
      INIT_47 => X"82828181818181808080807F7F7F7F7F7E7E7E7E7D7D7D7D7D7C7C7C7C7C7B7B",
      INIT_48 => X"8989888888888887878787868686868685858585858484848483838383838282",
      INIT_49 => X"9090908F8F8F8F8E8E8E8E8E8D8D8D8D8C8C8C8C8C8B8B8B8B8A8A8A8A8A8989",
      INIT_4A => X"9797979696969696959595959494949494939393939292929292919191919090",
      INIT_4B => X"9E9E9E9E9D9D9D9D9D9C9C9C9C9B9B9B9B9B9A9A9A9A99999999999898989897",
      INIT_4C => X"A6A5A5A5A5A5A4A4A4A4A3A3A3A3A2A2A2A2A2A1A1A1A1A0A0A0A0A09F9F9F9F",
      INIT_4D => X"ADADADACACACACABABABABAAAAAAAAAAA9A9A9A9A8A8A8A8A7A7A7A7A7A6A6A6",
      INIT_4E => X"B4B4B4B4B3B3B3B3B3B2B2B2B2B1B1B1B1B0B0B0B0B0AFAFAFAFAEAEAEAEADAD",
      INIT_4F => X"BCBCBBBBBBBBBABABABAB9B9B9B9B9B8B8B8B8B7B7B7B7B6B6B6B6B6B5B5B5B5",
      INIT_50 => X"C3C3C3C3C2C2C2C2C1C1C1C1C0C0C0C0C0BFBFBFBFBEBEBEBEBDBDBDBDBDBCBC",
      INIT_51 => X"CBCBCACACACAC9C9C9C9C8C8C8C8C8C7C7C7C7C6C6C6C6C5C5C5C5C4C4C4C4C4",
      INIT_52 => X"D2D2D2D2D2D1D1D1D1D0D0D0D0CFCFCFCFCECECECECDCDCDCDCDCCCCCCCCCBCB",
      INIT_53 => X"DADADAD9D9D9D9D8D8D8D8D8D7D7D7D7D6D6D6D6D5D5D5D5D4D4D4D4D3D3D3D3",
      INIT_54 => X"E2E2E1E1E1E1E0E0E0E0DFDFDFDFDFDEDEDEDEDDDDDDDDDCDCDCDCDBDBDBDBDA",
      INIT_55 => X"EAE9E9E9E9E8E8E8E8E8E7E7E7E7E6E6E6E6E5E5E5E5E4E4E4E4E3E3E3E3E2E2",
      INIT_56 => X"F2F1F1F1F1F0F0F0F0EFEFEFEFEEEEEEEEEDEDEDEDECECECECEBEBEBEBEAEAEA",
      INIT_57 => X"F9F9F9F9F8F8F8F8F7F7F7F7F7F6F6F6F6F5F5F5F5F4F4F4F4F3F3F3F3F2F2F2",
      INIT_58 => X"0000000000000000FFFFFFFFFEFEFEFEFDFDFDFDFCFCFCFCFBFBFBFBFAFAFAFA",
      INIT_59 => X"0504040404040404030303030303030302020202020202020101010101010101",
      INIT_5A => X"0908080808080808080707070707070707060606060606060605050505050505",
      INIT_5B => X"0D0D0C0C0C0C0C0C0C0B0B0B0B0B0B0B0B0A0A0A0A0A0A0A0A09090909090909",
      INIT_5C => X"111111101010101010100F0F0F0F0F0F0F0F0E0E0E0E0E0E0E0E0D0D0D0D0D0D",
      INIT_5D => X"1515151514141414141414131313131313131312121212121212121111111111",
      INIT_5E => X"1919191919181818181818181817171717171717161616161616161615151515",
      INIT_5F => X"1D1D1D1D1D1D1D1C1C1C1C1C1C1C1B1B1B1B1B1B1B1B1A1A1A1A1A1A1A191919",
      INIT_60 => X"222121212121212121202020202020201F1F1F1F1F1F1F1F1E1E1E1E1E1E1E1D",
      INIT_61 => X"2626262525252525252525242424242424242323232323232323222222222222",
      INIT_62 => X"2A2A2A2A2A292929292929292928282828282828272727272727272726262626",
      INIT_63 => X"2F2E2E2E2E2E2E2E2D2D2D2D2D2D2D2C2C2C2C2C2C2C2C2B2B2B2B2B2B2B2A2A",
      INIT_64 => X"333333323232323232323231313131313131303030303030302F2F2F2F2F2F2F",
      INIT_65 => X"3737373737373636363636363636353535353535353434343434343433333333",
      INIT_66 => X"3C3C3B3B3B3B3B3B3B3B3A3A3A3A3A3A3A393939393939393838383838383837",
      INIT_67 => X"4040404040403F3F3F3F3F3F3F3E3E3E3E3E3E3E3D3D3D3D3D3D3D3C3C3C3C3C",
      INIT_68 => X"4545454444444444444443434343434343424242424242424141414141414140",
      INIT_69 => X"4949494949494848484848484847474747474747464646464646464545454545",
      INIT_6A => X"4E4E4E4E4D4D4D4D4D4D4D4C4C4C4C4C4C4B4B4B4B4B4B4B4A4A4A4A4A4A4A49",
      INIT_6B => X"535252525252525251515151515151505050505050504F4F4F4F4F4F4F4E4E4E",
      INIT_6C => X"5757575757575656565656565555555555555554545454545454535353535353",
      INIT_6D => X"5C5C5C5C5B5B5B5B5B5B5A5A5A5A5A5A5A595959595959595858585858585857",
      INIT_6E => X"61616060606060605F5F5F5F5F5F5F5E5E5E5E5E5E5E5D5D5D5D5D5D5D5C5C5C",
      INIT_6F => X"6565656565656564646464646464636363636363626262626262626161616161",
      INIT_70 => X"6A6A6A6A6A6A6969696969696868686868686867676767676767666666666666",
      INIT_71 => X"6F6F6F6F6F6E6E6E6E6E6E6D6D6D6D6D6D6D6C6C6C6C6C6C6B6B6B6B6B6B6B6A",
      INIT_72 => X"7474747473737373737372727272727272717171717171717070707070706F6F",
      INIT_73 => X"7979797878787878787877777777777776767676767676757575757575747474",
      INIT_74 => X"7E7E7E7D7D7D7D7D7D7D7C7C7C7C7C7C7B7B7B7B7B7B7A7A7A7A7A7A7A797979",
      INIT_75 => X"838383828282828282828181818181818080808080807F7F7F7F7F7F7F7E7E7E",
      INIT_76 => X"8888888787878787878786868686868685858585858584848484848484838383",
      INIT_77 => X"8D8D8D8D8C8C8C8C8C8C8B8B8B8B8B8B8B8A8A8A8A8A8A898989898989888888",
      INIT_78 => X"92929292929191919191919090909090908F8F8F8F8F8F8E8E8E8E8E8E8E8D8D",
      INIT_79 => X"9797979797979696969696969595959595959494949494949393939393939392",
      INIT_7A => X"9D9C9C9C9C9C9C9B9B9B9B9B9B9A9A9A9A9A9A99999999999998989898989898",
      INIT_7B => X"A2A2A1A1A1A1A1A1A0A0A0A0A0A0A09F9F9F9F9F9F9E9E9E9E9E9E9D9D9D9D9D",
      INIT_7C => X"A7A7A7A7A6A6A6A6A6A6A5A5A5A5A5A5A4A4A4A4A4A4A3A3A3A3A3A3A2A2A2A2",
      INIT_7D => X"ACACACACACACABABABABABABAAAAAAAAAAAAA9A9A9A9A9A9A8A8A8A8A8A8A7A7",
      INITP_0E => X"0000000000000000000000000000000000000000000000000000000000000000",
      INIT_FILE => "NONE",
      RAM_EXTENSION_A => "NONE",
      RAM_EXTENSION_B => "NONE",
      READ_WIDTH_A => 9,
      READ_WIDTH_B => 9,
      SIM_COLLISION_CHECK => "ALL",
      SIM_MODE => "SAFE",
      INIT_A => X"000000000",
      INIT_B => X"000000000",
      WRITE_MODE_A => "WRITE_FIRST",
      WRITE_MODE_B => "WRITE_FIRST",
      WRITE_WIDTH_A => 9,
      WRITE_WIDTH_B => 9,
      INITP_0F => X"0000000000000000000000000000000000000000000000000000000000000000"
    )
    port map (
      ENAU => BU2_N1,
      ENAL => BU2_N1,
      ENBU => BU2_doutb(0),
      ENBL => BU2_doutb(0),
      SSRAU => BU2_doutb(0),
      SSRAL => BU2_doutb(0),
      SSRBU => BU2_doutb(0),
      SSRBL => BU2_doutb(0),
      CLKAU => clka,
      CLKAL => clka,
      CLKBU => BU2_doutb(0),
      CLKBL => BU2_doutb(0),
      REGCLKAU => clka,
      REGCLKAL => clka,
      REGCLKBU => BU2_doutb(0),
      REGCLKBL => BU2_doutb(0),
      REGCEAU => BU2_doutb(0),
      REGCEAL => BU2_doutb(0),
      REGCEBU => BU2_doutb(0),
      REGCEBL => BU2_doutb(0),
      CASCADEINLATA => BU2_doutb(0),
      CASCADEINLATB => BU2_doutb(0),
      CASCADEINREGA => BU2_doutb(0),
      CASCADEINREGB => BU2_doutb(0),
      CASCADEOUTLATA => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATA_UNCONNECTED,
      CASCADEOUTLATB => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTLATB_UNCONNECTED,
      CASCADEOUTREGA => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGA_UNCONNECTED,
      CASCADEOUTREGB => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_CASCADEOUTREGB_UNCONNECTED,
      DIA(31) => BU2_doutb(0),
      DIA(30) => BU2_doutb(0),
      DIA(29) => BU2_doutb(0),
      DIA(28) => BU2_doutb(0),
      DIA(27) => BU2_doutb(0),
      DIA(26) => BU2_doutb(0),
      DIA(25) => BU2_doutb(0),
      DIA(24) => BU2_doutb(0),
      DIA(23) => BU2_doutb(0),
      DIA(22) => BU2_doutb(0),
      DIA(21) => BU2_doutb(0),
      DIA(20) => BU2_doutb(0),
      DIA(19) => BU2_doutb(0),
      DIA(18) => BU2_doutb(0),
      DIA(17) => BU2_doutb(0),
      DIA(16) => BU2_doutb(0),
      DIA(15) => BU2_doutb(0),
      DIA(14) => BU2_doutb(0),
      DIA(13) => BU2_doutb(0),
      DIA(12) => BU2_doutb(0),
      DIA(11) => BU2_doutb(0),
      DIA(10) => BU2_doutb(0),
      DIA(9) => BU2_doutb(0),
      DIA(8) => BU2_doutb(0),
      DIA(7) => BU2_doutb(0),
      DIA(6) => BU2_doutb(0),
      DIA(5) => BU2_doutb(0),
      DIA(4) => BU2_doutb(0),
      DIA(3) => BU2_doutb(0),
      DIA(2) => BU2_doutb(0),
      DIA(1) => BU2_doutb(0),
      DIA(0) => BU2_doutb(0),
      DIPA(3) => BU2_doutb(0),
      DIPA(2) => BU2_doutb(0),
      DIPA(1) => BU2_doutb(0),
      DIPA(0) => BU2_doutb(0),
      DIB(31) => BU2_doutb(0),
      DIB(30) => BU2_doutb(0),
      DIB(29) => BU2_doutb(0),
      DIB(28) => BU2_doutb(0),
      DIB(27) => BU2_doutb(0),
      DIB(26) => BU2_doutb(0),
      DIB(25) => BU2_doutb(0),
      DIB(24) => BU2_doutb(0),
      DIB(23) => BU2_doutb(0),
      DIB(22) => BU2_doutb(0),
      DIB(21) => BU2_doutb(0),
      DIB(20) => BU2_doutb(0),
      DIB(19) => BU2_doutb(0),
      DIB(18) => BU2_doutb(0),
      DIB(17) => BU2_doutb(0),
      DIB(16) => BU2_doutb(0),
      DIB(15) => BU2_doutb(0),
      DIB(14) => BU2_doutb(0),
      DIB(13) => BU2_doutb(0),
      DIB(12) => BU2_doutb(0),
      DIB(11) => BU2_doutb(0),
      DIB(10) => BU2_doutb(0),
      DIB(9) => BU2_doutb(0),
      DIB(8) => BU2_doutb(0),
      DIB(7) => BU2_doutb(0),
      DIB(6) => BU2_doutb(0),
      DIB(5) => BU2_doutb(0),
      DIB(4) => BU2_doutb(0),
      DIB(3) => BU2_doutb(0),
      DIB(2) => BU2_doutb(0),
      DIB(1) => BU2_doutb(0),
      DIB(0) => BU2_doutb(0),
      DIPB(3) => BU2_doutb(0),
      DIPB(2) => BU2_doutb(0),
      DIPB(1) => BU2_doutb(0),
      DIPB(0) => BU2_doutb(0),
      ADDRAL(15) => BU2_doutb(0),
      ADDRAL(14) => addra_2(11),
      ADDRAL(13) => addra_2(10),
      ADDRAL(12) => addra_2(9),
      ADDRAL(11) => addra_2(8),
      ADDRAL(10) => addra_2(7),
      ADDRAL(9) => addra_2(6),
      ADDRAL(8) => addra_2(5),
      ADDRAL(7) => addra_2(4),
      ADDRAL(6) => addra_2(3),
      ADDRAL(5) => addra_2(2),
      ADDRAL(4) => addra_2(1),
      ADDRAL(3) => addra_2(0),
      ADDRAL(2) => BU2_doutb(0),
      ADDRAL(1) => BU2_doutb(0),
      ADDRAL(0) => BU2_doutb(0),
      ADDRAU(14) => addra_2(11),
      ADDRAU(13) => addra_2(10),
      ADDRAU(12) => addra_2(9),
      ADDRAU(11) => addra_2(8),
      ADDRAU(10) => addra_2(7),
      ADDRAU(9) => addra_2(6),
      ADDRAU(8) => addra_2(5),
      ADDRAU(7) => addra_2(4),
      ADDRAU(6) => addra_2(3),
      ADDRAU(5) => addra_2(2),
      ADDRAU(4) => addra_2(1),
      ADDRAU(3) => addra_2(0),
      ADDRAU(2) => BU2_doutb(0),
      ADDRAU(1) => BU2_doutb(0),
      ADDRAU(0) => BU2_doutb(0),
      ADDRBL(15) => BU2_doutb(0),
      ADDRBL(14) => BU2_doutb(0),
      ADDRBL(13) => BU2_doutb(0),
      ADDRBL(12) => BU2_doutb(0),
      ADDRBL(11) => BU2_doutb(0),
      ADDRBL(10) => BU2_doutb(0),
      ADDRBL(9) => BU2_doutb(0),
      ADDRBL(8) => BU2_doutb(0),
      ADDRBL(7) => BU2_doutb(0),
      ADDRBL(6) => BU2_doutb(0),
      ADDRBL(5) => BU2_doutb(0),
      ADDRBL(4) => BU2_doutb(0),
      ADDRBL(3) => BU2_doutb(0),
      ADDRBL(2) => BU2_doutb(0),
      ADDRBL(1) => BU2_doutb(0),
      ADDRBL(0) => BU2_doutb(0),
      ADDRBU(14) => BU2_doutb(0),
      ADDRBU(13) => BU2_doutb(0),
      ADDRBU(12) => BU2_doutb(0),
      ADDRBU(11) => BU2_doutb(0),
      ADDRBU(10) => BU2_doutb(0),
      ADDRBU(9) => BU2_doutb(0),
      ADDRBU(8) => BU2_doutb(0),
      ADDRBU(7) => BU2_doutb(0),
      ADDRBU(6) => BU2_doutb(0),
      ADDRBU(5) => BU2_doutb(0),
      ADDRBU(4) => BU2_doutb(0),
      ADDRBU(3) => BU2_doutb(0),
      ADDRBU(2) => BU2_doutb(0),
      ADDRBU(1) => BU2_doutb(0),
      ADDRBU(0) => BU2_doutb(0),
      WEAU(3) => BU2_doutb(0),
      WEAU(2) => BU2_doutb(0),
      WEAU(1) => BU2_doutb(0),
      WEAU(0) => BU2_doutb(0),
      WEAL(3) => BU2_doutb(0),
      WEAL(2) => BU2_doutb(0),
      WEAL(1) => BU2_doutb(0),
      WEAL(0) => BU2_doutb(0),
      WEBU(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_7_UNCONNECTED,
      WEBU(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_6_UNCONNECTED,
      WEBU(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_5_UNCONNECTED,
      WEBU(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBU_4_UNCONNECTED,
      WEBU(3) => BU2_doutb(0),
      WEBU(2) => BU2_doutb(0),
      WEBU(1) => BU2_doutb(0),
      WEBU(0) => BU2_doutb(0),
      WEBL(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_7_UNCONNECTED,
      WEBL(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_6_UNCONNECTED,
      WEBL(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_5_UNCONNECTED,
      WEBL(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_WEBL_4_UNCONNECTED,
      WEBL(3) => BU2_doutb(0),
      WEBL(2) => BU2_doutb(0),
      WEBL(1) => BU2_doutb(0),
      WEBL(0) => BU2_doutb(0),
      DOA(31) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_31_UNCONNECTED,
      DOA(30) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_30_UNCONNECTED,
      DOA(29) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_29_UNCONNECTED,
      DOA(28) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_28_UNCONNECTED,
      DOA(27) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_27_UNCONNECTED,
      DOA(26) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_26_UNCONNECTED,
      DOA(25) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_25_UNCONNECTED,
      DOA(24) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_24_UNCONNECTED,
      DOA(23) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_23_UNCONNECTED,
      DOA(22) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_22_UNCONNECTED,
      DOA(21) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_21_UNCONNECTED,
      DOA(20) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_20_UNCONNECTED,
      DOA(19) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_19_UNCONNECTED,
      DOA(18) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_18_UNCONNECTED,
      DOA(17) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_17_UNCONNECTED,
      DOA(16) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_16_UNCONNECTED,
      DOA(15) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_15_UNCONNECTED,
      DOA(14) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_14_UNCONNECTED,
      DOA(13) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_13_UNCONNECTED,
      DOA(12) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_12_UNCONNECTED,
      DOA(11) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_11_UNCONNECTED,
      DOA(10) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_10_UNCONNECTED,
      DOA(9) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_9_UNCONNECTED,
      DOA(8) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOA_8_UNCONNECTED,
      DOA(7) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(7),
      DOA(6) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(6),
      DOA(5) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(5),
      DOA(4) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(4),
      DOA(3) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(3),
      DOA(2) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(2),
      DOA(1) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(1),
      DOA(0) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(0),
      DOPA(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_3_UNCONNECTED,
      DOPA(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_2_UNCONNECTED,
      DOPA(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPA_1_UNCONNECTED,
      DOPA(0) => BU2_U0_blk_mem_generator_valid_cstr_ram_douta0(8),
      DOB(31) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_31_UNCONNECTED,
      DOB(30) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_30_UNCONNECTED,
      DOB(29) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_29_UNCONNECTED,
      DOB(28) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_28_UNCONNECTED,
      DOB(27) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_27_UNCONNECTED,
      DOB(26) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_26_UNCONNECTED,
      DOB(25) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_25_UNCONNECTED,
      DOB(24) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_24_UNCONNECTED,
      DOB(23) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_23_UNCONNECTED,
      DOB(22) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_22_UNCONNECTED,
      DOB(21) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_21_UNCONNECTED,
      DOB(20) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_20_UNCONNECTED,
      DOB(19) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_19_UNCONNECTED,
      DOB(18) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_18_UNCONNECTED,
      DOB(17) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_17_UNCONNECTED,
      DOB(16) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_16_UNCONNECTED,
      DOB(15) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_15_UNCONNECTED,
      DOB(14) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_14_UNCONNECTED,
      DOB(13) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_13_UNCONNECTED,
      DOB(12) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_12_UNCONNECTED,
      DOB(11) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_11_UNCONNECTED,
      DOB(10) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_10_UNCONNECTED,
      DOB(9) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_9_UNCONNECTED,
      DOB(8) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_8_UNCONNECTED,
      DOB(7) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_7_UNCONNECTED,
      DOB(6) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_6_UNCONNECTED,
      DOB(5) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_5_UNCONNECTED,
      DOB(4) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_4_UNCONNECTED,
      DOB(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_3_UNCONNECTED,
      DOB(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_2_UNCONNECTED,
      DOB(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_1_UNCONNECTED,
      DOB(0) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOB_0_UNCONNECTED,
      DOPB(3) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_3_UNCONNECTED,
      DOPB(2) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_2_UNCONNECTED,
      DOPB(1) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_1_UNCONNECTED,
      DOPB(0) => NLW_BU2_U0_blk_mem_generator_valid_cstr_ramloop_1_ram_r_v5_init_ram_SP_SINGLE_PRIM36_SP_DOPB_0_UNCONNECTED
    );
  BU2_XST_VCC : VCC
    port map (
      P => BU2_N1
    );
  BU2_XST_GND : GND
    port map (
      G => BU2_doutb(0)
    );

end STRUCTURE;

-- synthesis translate_on
